{
    "$schema": "https://turbo.build/schema.json",
    "globalDependencies": [
        ".yarnrc.yml",
        ".nvmrc"
    ],
    "globalEnv": [
        "NODE_ENV"
    ],
    "tasks": {
        "build:android": {
            "env": [
                "ORG_GRADLE_PROJECT_newArchEnabled",
                "ANDROID_HOME"
            ],
            "inputs": [
                "!example/mobile/android/app/build",
                "!example/mobile/android/.gradle",
                "!example/mobile/android/build",
                "example/mobile/package.json",
                "example/mobile/android",
                "!android/build",
                "package.json",
                "src/*.tsx",
                "src/*.ts",
                "android"
            ],
            "outputs": [
                "!example/web/android/app/build",
                "!example/web/android/.gradle",
                "!example/web/android/build",
                "example/web/package.json",
                "example/web/android"
            ]
        },
        "build:ios": {
            "env": [
                "RCT_USE_PREBUILT_RNCORE",
                "RCT_REMOVE_LEGACY_ARCH",
                "RCT_NEW_ARCH_ENABLED",
                "RCT_USE_RN_DEP"
            ],
            "inputs": [
                "example/mobile/package.json",
                "!example/mobile/ios/build",
                "!example/mobile/ios/Pods",
                "example/mobile/ios",
                "package.json",
                "src/*.tsx",
                "*.podspec",
                "src/*.ts",
                "ios"
            ],
            "outputs": [
                "example/web/package.json",
                "!example/web/ios/build",
                "!example/web/ios/Pods",
                "example/web/ios"
            ]
        },
        "build:web": {
            "inputs": [
                "!example/web/android/app/build",
                "!example/web/android/.gradle",
                "!example/web/android/build",
                "example/web/package.json",
                "example/web/package.json",
                "!example/web/ios/build",
                "!example/web/ios/Pods",
                "example/web/android",
                "example/web/ios",
                "!android/build",
                "package.json",
                "src/*.tsx",
                "src/*.ts",
                "android"
            ],
            "outputs": [
                "!example/mobile/android/app/build",
                "!example/mobile/android/.gradle",
                "!example/mobile/android/build",
                "example/mobile/package.json",
                "example/mobile/package.json",
                "!example/mobile/ios/build",
                "!example/mobile/ios/Pods",
                "example/mobile/android",
                "example/mobile/ios"
            ]
        }
    }
}
